HttpHeaders (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet
[Java] Class HttpHeaders

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.HttpHeaders

    public class HttpHeaders
    extends java.lang.Object

Constants for HTTP headers.

Authors:
  Graeme Rocher

Since:
  1.0

Field Summary
`static java.lang.String` | `ACCEPT`
`static java.lang.String` | `ACCEPT_CHARSET`
`static java.lang.String` | `ACCEPT_ENCODING`
`static java.lang.String` | `ACCEPT_LANGUAGE`
`static java.lang.String` | `ACCEPT_RANGES`
`static java.lang.String` | `ACCEPT_VERSION`
`static java.lang.String` | `AGE`
`static java.lang.String` | `ALLOW`
`static java.lang.String` | `AUTHORIZATION`
`static java.lang.String` | `CACHE_CONTROL`
`static java.lang.String` | `CONNECTION`
`static java.lang.String` | `CONTENT_DISPOSITION`
`static java.lang.String` | `CONTENT_ENCODING`
`static java.lang.String` | `CONTENT_LANGUAGE`
`static java.lang.String` | `CONTENT_LENGTH`
`static java.lang.String` | `CONTENT_LOCATION`
`static java.lang.String` | `CONTENT_MD5`
`static java.lang.String` | `CONTENT_RANGE`
`static java.lang.String` | `CONTENT_TYPE`
`static java.lang.String` | `COOKIE`
`static java.lang.String` | `DATE`
`static java.lang.String` | `ETAG`
`static java.lang.String` | `EXPECT`
`static java.lang.String` | `EXPIRES`
`static java.lang.String` | `FORWARDED`
`static java.lang.String` | `FROM`
`static java.lang.String` | `HOST`
`static java.lang.String` | `IDENTITY`
`static java.lang.String` | `IF_MATCH`
`static java.lang.String` | `IF_MODIFIED_SINCE`
`static java.lang.String` | `IF_NONE_MATCH`
`static java.lang.String` | `IF_RANGE`
`static java.lang.String` | `IF_UNMODIFIED_SINCE`
`static java.lang.String` | `KEEP_ALIVE`
`static java.lang.String` | `LAST_MODIFIED`
`static java.lang.String` | `LOCATION`
`static java.lang.String` | `MAX_FORWARDS`
`static java.lang.String` | `MIME_VERSION`
`static java.lang.String` | `PRAGMA`
`static java.lang.String` | `PROXY_AUTHENTICATE`
`static java.lang.String` | `PROXY_AUTHORIZATION`
`static java.lang.String` | `PROXY_CONNECTION`
`static java.lang.String` | `RANGE`
`static java.lang.String` | `REFERER`
`static java.lang.String` | `REQUEST_RANGE`
`static java.lang.String` | `RETRY_AFTER`
`static java.lang.String` | `SERVER`
`static java.lang.String` | `SERVLET_ENGINE`
`static java.lang.String` | `SET_COOKIE`
`static java.lang.String` | `SET_COOKIE2`
`static java.lang.String` | `TE`
`static java.lang.String` | `TRAILER`
`static java.lang.String` | `TRANSFER_ENCODING`
`static java.lang.String` | `UPGRADE`
`static java.lang.String` | `USER_AGENT`
`static java.lang.String` | `VARY`
`static java.lang.String` | `VIA`
`static java.lang.String` | `WARNING`
`static java.lang.String` | `WWW_AUTHENTICATE`
`static java.lang.String` | `X_FORWARDED_FOR`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### ACCEPT

    public static final java.lang.String ACCEPT

### ACCEPT_CHARSET

    public static final java.lang.String ACCEPT_CHARSET

### ACCEPT_ENCODING

    public static final java.lang.String ACCEPT_ENCODING

### ACCEPT_LANGUAGE

    public static final java.lang.String ACCEPT_LANGUAGE

### ACCEPT_RANGES

    public static final java.lang.String ACCEPT_RANGES

### ACCEPT_VERSION

    public static final java.lang.String ACCEPT_VERSION

### AGE

    public static final java.lang.String AGE

### ALLOW

    public static final java.lang.String ALLOW

### AUTHORIZATION

    public static final java.lang.String AUTHORIZATION

### CACHE_CONTROL

    public static final java.lang.String CACHE_CONTROL

### CONNECTION

    public static final java.lang.String CONNECTION

### CONTENT_DISPOSITION

    public static final java.lang.String CONTENT_DISPOSITION

### CONTENT_ENCODING

    public static final java.lang.String CONTENT_ENCODING

### CONTENT_LANGUAGE

    public static final java.lang.String CONTENT_LANGUAGE

### CONTENT_LENGTH

    public static final java.lang.String CONTENT_LENGTH

### CONTENT_LOCATION

    public static final java.lang.String CONTENT_LOCATION

### CONTENT_MD5

    public static final java.lang.String CONTENT_MD5

### CONTENT_RANGE

    public static final java.lang.String CONTENT_RANGE

### CONTENT_TYPE

    public static final java.lang.String CONTENT_TYPE

### COOKIE

    public static final java.lang.String COOKIE

### DATE

    public static final java.lang.String DATE

### ETAG

    public static final java.lang.String ETAG

### EXPECT

    public static final java.lang.String EXPECT

### EXPIRES

    public static final java.lang.String EXPIRES

### FORWARDED

    public static final java.lang.String FORWARDED

### FROM

    public static final java.lang.String FROM

### HOST

    public static final java.lang.String HOST

### IDENTITY

    public static final java.lang.String IDENTITY

### IF_MATCH

    public static final java.lang.String IF_MATCH

### IF_MODIFIED_SINCE

    public static final java.lang.String IF_MODIFIED_SINCE

### IF_NONE_MATCH

    public static final java.lang.String IF_NONE_MATCH

### IF_RANGE

    public static final java.lang.String IF_RANGE

### IF_UNMODIFIED_SINCE

    public static final java.lang.String IF_UNMODIFIED_SINCE

### KEEP_ALIVE

    public static final java.lang.String KEEP_ALIVE

### LAST_MODIFIED

    public static final java.lang.String LAST_MODIFIED

### LOCATION

    public static final java.lang.String LOCATION

### MAX_FORWARDS

    public static final java.lang.String MAX_FORWARDS

### MIME_VERSION

    public static final java.lang.String MIME_VERSION

### PRAGMA

    public static final java.lang.String PRAGMA

### PROXY_AUTHENTICATE

    public static final java.lang.String PROXY_AUTHENTICATE

### PROXY_AUTHORIZATION

    public static final java.lang.String PROXY_AUTHORIZATION

### PROXY_CONNECTION

    public static final java.lang.String PROXY_CONNECTION

### RANGE

    public static final java.lang.String RANGE

### REFERER

    public static final java.lang.String REFERER

### REQUEST_RANGE

    public static final java.lang.String REQUEST_RANGE

### RETRY_AFTER

    public static final java.lang.String RETRY_AFTER

### SERVER

    public static final java.lang.String SERVER

### SERVLET_ENGINE

    public static final java.lang.String SERVLET_ENGINE

### SET_COOKIE

    public static final java.lang.String SET_COOKIE

### SET_COOKIE2

    public static final java.lang.String SET_COOKIE2

### TE

    public static final java.lang.String TE

### TRAILER

    public static final java.lang.String TRAILER

### TRANSFER_ENCODING

    public static final java.lang.String TRANSFER_ENCODING

### UPGRADE

    public static final java.lang.String UPGRADE

### USER_AGENT

    public static final java.lang.String USER_AGENT

### VARY

    public static final java.lang.String VARY

### VIA

    public static final java.lang.String VIA

### WARNING

    public static final java.lang.String WARNING

### WWW_AUTHENTICATE

    public static final java.lang.String WWW_AUTHENTICATE

### X_FORWARDED_FOR

    public static final java.lang.String X_FORWARDED_FOR

Groovy Documentation